<!DOCTYPE html>
<html lang="en">

<head>
   <meta charset="UTF-8">
   <title>Document</title>
</head>

<body>
   <form>
      <section>
         <p>DataList</p>
         <fieldset>
            <label for="inputLista">Lista de Colores</label>
            <input list="listaColores" name="inputLista">
            <datalist id="listaColores">
               <option value="Azul">
               <option value="Rojo">
               <option value="Amarillo">
               <option value="Negro">
               <option value="Blanco">
            </datalist>
         </fieldset>
      </section>

      <section>
         <p>URL input</p>
         <fieldset>
            <label for="url">lista urls</label>
            <input type="url" name="url" id="url" 
            placeholder="https://example.com" 
            pattern="https://.*" 
            required>
            <datalist id="listaurls">
               <option value="http://www.google.com" label="by google">
               <option value="http://www.msn.com" label="by ms">
            </datalist>
         </fieldset>
      </section>

      <section>
         <p>Range</p>
         <fieldset>
            <label for="range">Rangos</label>
            <input type="range" list="listanums" step="1" name="range" max="6" min="0">
            <datalist id="listanums">
               <option value="0" label="cero">
               <option value="1" label="uno">
               <option value="2" label="dos">
               <option value="3" label="tres">
               <option value="4" label="cuatro">
               <option value="5" label="cinco">
            </datalist>
            <a href="" target="_blanck"></a>
         </fieldset>
      </section>

      <br>
      <input type="submit" name="btn_enviar" value="Enviar">
      <input type="reset" name="btn_limpiar" value="Limpiar">
   </form>
</body>

</html>